PHP is one of the most widely used general-purpose programming languages. It is exceptionally popular as it is free software, which you can use to set up responsive sites such as community web portals, e-stores or e-teaching portals rather than static HTML-based sites. A PHP module must be activated on the web server where a PHP website is hosted so that its PHP code can be ‘decoded’. Because there are no license charges for this sort of module and the language provides limitless possibilities for the Internet applications that you create, there’re 100s of millions of PHP-powered sites. Furthermore, there’re plenty of PHP-based scripts, which you can use for your sites without the need to have any coding capabilities. Given the fact that there are a few versions of PHP, you ought to ensure that the very same version that you used while building your site is present on the web server as well.

PHP 4 and PHP 5 Support in Shared Web Hosting

With our Linux shared web hosting packages, you will be able to pick which PHP version will be enabled for your shared account, since several versions are activated on our servers. With only one click of the mouse, you’ll be able to switch between PHP 5.5, 5.4, 5.3, 5.2 and 4 and every time a new version is released in the future, we’ll include it in the Hepsia Control Panel without removing the older ones. In this way, you will be able to host all the websites that you have created over the years. In contrast with a lot of other hosting companies, we will not force you to update such websites, as a script may be outdated, but this does not mean that it is insecure as you may have modified its source code to prevent safety breaches. For your convenience’s sake, you will even be able to choose a different version of PHP for each single site that you host in your hosting account.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

Even if your sites were built with an earlier PHP version, you will be able to host them in a semi-dedicated server account from us, since we support several versions running simultaneously on our servers and each of them can be activated for your account with no more than one click via our custom-developed Hepsia Control Panel. Aside from the most recent PHP 5.4 and PHP 5.5, we also support 5.3, 5.2 and the older PHP 4, which has already been abandoned by the majority of hosting providers, but we maintain that you should not be forced to modify a website that took several years to develop, as older scripting language syntax doesn’t invariably equal safety loopholes. On the contrary, a correctly maintained website using PHP 4 can be more secure than an incorrectly maintained one using PHP 5. For the sake of your convenience, we will also provide you with the possibility to choose a different version for each site within your account.